unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, Buttons,
  ColorSpeedButton, IniFiles;

type

  { TForm1 }

  TForm1 = class(TForm)
    ColorSpeedButton1: TColorSpeedButton;
    ColorSpeedButton2: TColorSpeedButton;
    ColorSpeedButton3: TColorSpeedButton;
    ColorSpeedButton4: TColorSpeedButton;
    Image1: TImage;
    Panel1: TPanel;
    Panel2: TPanel;
    procedure ColorSpeedButton1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.ColorSpeedButton1Click(Sender: TObject);
begin
  if Panel2.Visible then
  begin
    Panel2.Visible:= False;
  end else
  Panel2.Visible:= True;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  myINI: TIniFile;
begin
  myINI := TIniFile.Create(ChangeFileExt(Application.ExeName, '.ini'));
  try
    Panel2.Visible := myINI.ReadBool('Menu', 'Visible', Panel2.Visible);
  finally
    myINI.Free;
  end;
end;

procedure TForm1.FormDestroy(Sender: TObject);
var
  myINI: TIniFile;
begin
  myINI := TIniFile.Create(ChangeFileExt(Application.ExeName, '.ini'));
  try
    myINI.WriteBool('Menu', 'Visible', Panel2.Visible);
  finally
    myINI.Free;
  end;
end;

end.

